%define web_prefixdir /var/www/htdocs/ganglia

Summary: Ganglia Web Frontend
Name: ganglia-gweb
Version: 3.4.2
URL: http://ganglia.info
Release: 1
License: BSD
Vendor: Ganglia Development Team <ganglia-developers@lists.sourceforge.net>
Group: System Environment/Base
Source0: %{name}-%{version}-%{release}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Obsoletes: ganglia-webfrontend
Requires: php >= 5.2, httpd
BuildArchitectures: noarch

%description
This package provides a web frontend to display the XML tree published by
ganglia, and to provide historical graphs of collected metrics. This website is
written in the PHP5 language and uses the Dwoo templating engine.


%prep
%setup -q -n gweb-%{version}-%{release}


%build
# nothing to be done here


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

%{__mkdir} -p ${RPM_BUILD_ROOT}%{web_prefixdir}
%{__cp} -rf * ${RPM_BUILD_ROOT}%{web_prefixdir}
%{__rm} -f ${RPM_BUILD_ROOT}%{web_prefixdir}/bootstrap
%{__rm} -f ${RPM_BUILD_ROOT}%{web_prefixdir}/Makefile*
%{__rm} -f ${RPM_BUILD_ROOT}%{web_prefixdir}/gweb.spec
%{__rm} -f ${RPM_BUILD_ROOT}%{web_prefixdir}/*.in
%{__chown} -R apache.apache ${RPM_BUILD_ROOT}%{web_prefixdir}/conf

%{__mkdir} -p ${RPM_BUILD_ROOT}/var/lib/ganglia/filters
%{__chmod} 0755 ${RPM_BUILD_ROOT}/var/lib/ganglia/filters
%{__chown} nobody.nobody ${RPM_BUILD_ROOT}/var/lib/ganglia/filters
%{__mkdir} -p ${RPM_BUILD_ROOT}/var/lib/ganglia/dwoo
%{__chmod} 0755 ${RPM_BUILD_ROOT}/var/lib/ganglia/dwoo
%{__chown} apache.apache ${RPM_BUILD_ROOT}/var/lib/ganglia/dwoo


%files
%defattr(-,root,system)
%doc AUTHORS COPYING README TODO
%attr(0755,nobody,nobody) /var/lib/ganglia/filters
%attr(0755,apache,apache) /var/lib/ganglia/dwoo
%attr(0755,apache,apache) %dir %{web_prefixdir}/conf/
%attr(0755,apache,apache) %{web_prefixdir}/conf/*
%dir %{web_prefixdir}/
%{web_prefixdir}/conf.php*
%{web_prefixdir}/conf_default.php*
%{web_prefixdir}/[A-Z]*
%{web_prefixdir}/[a-b]*
%{web_prefixdir}/[d-z]*
%{web_prefixdir}/ca*
%{web_prefixdir}/cl*
%{web_prefixdir}/cs*


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%changelog
* Tue May 22 2012 Michael Perzl <michael@perzl.org> - 3.4.2-1
- Updated to version 3.4.2

* Tue May 22 2012 Michael Perzl <michael@perzl.org> - 3.4.1-1
- Updated to version 3.4.1

* Tue May 22 2012 Michael Perzl <michael@perzl.org> - 3.3.1-1
- Updated to version 3.3.1

* Wed Feb 01 2012 Michael Perzl <michael@perzl.org> - 2.2.0-1
- Updated to version 2.2.0

* Thu Oct 13 2011 Michael Perzl <michael@perzl.org> - 2.1.8-1
- Updated to version 2.1.8

* Thu Oct 13 2011 Michael Perzl <michael@perzl.org> - 2.1.7-1
- Updated to version 2.1.7

* Thu Oct 13 2011 Michael Perzl <michael@perzl.org> - 2.1.5-1
- Updated to version 2.1.5

* Thu Oct 13 2011 Michael Perzl <michael@perzl.org> - 2.1.3-1
- Updated to version 2.1.3

* Thu Oct 13 2011 Michael Perzl <michael@perzl.org> - 2.1.2-1
- Updated to version 2.1.2

* Wed Jul 13 2011 Michael Perzl <michael@perzl.org> - 2.0.0-1
- Updated to version 2.0.0

* Wed May 04 2011 Michael Perzl <michael@perzl.org> - 2.0.0-0.2011.05.04
- First version adapted for AIX5L V5.1 and higher

* Thu Mar 17 2011 Bernard Li <bernard@vanhpc.org>
- Renamed conf.php -> conf_default.php

* Fri Dec 17 2010 Bernard Li <bernard@vanhpc.org>
- Spec file for gweb which is split from ganglia-web subpackage
